Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Sig_Action Class Reference

C++ wrapper facade for the <sigaction> struct. More...

`#include <Signal.h>`

List of all members.

## Public Methods
| ACE_Sig_Action (void)
| Default constructor. Initializes everything to 0.
| ACE_Sig_Action (ACE_SignalHandler handler, sigset_t *sigmask = 0, int flags = 0)
| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.
| ACE_Sig_Action (ACE_SignalHandler handler, const ACE_Sig_Set &sigmask, int flags = 0)
| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.
| ACE_Sig_Action (ACE_SignalHandler handler, int signum, sigset_t *sigmask = 0, int flags = 0)
| ACE_Sig_Action (ACE_SignalHandler handler, int signum, const ACE_Sig_Set &sigmask, int flags = 0)
| ACE_Sig_Action (const ACE_Sig_Set &signalss, ACE_SignalHandler handler, const ACE_Sig_Set &sigmask, int flags = 0)
| ACE_Sig_Action (const ACE_Sig_Set &signalss, ACE_SignalHandler handler, sigset_t *sigmask = 0, int flags = 0)
| ACE_Sig_Action (const ACE_Sig_Action &s)
| Copy constructor.
| ~ACE_Sig_Action (void)
| Default dtor.
int | register_action (int signum, ACE_Sig_Action *oaction = 0)
| Register <this> as the current disposition and store old disposition into <oaction> if it is non-NULL.
int | restore_action (int signum, ACE_Sig_Action &oaction)
| Assign the value of <oaction> to <this> and make it become the new signal disposition.
int | retrieve_action (int signum)
| Retrieve the current disposition into <this>.
void | set (struct sigaction *)
struct sigaction* | get (void)
| operator ACE_SIGACTION * ()
void | flags (int)
int | flags (void)
void | mask (sigset_t *)
void | mask (ACE_Sig_Set &)
sigset_t* | mask (void)
void | handler (ACE_SignalHandler)
ACE_SignalHandler | handler (void)
void | dump (void) const
| Dump the state of an object.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.
## Private Attributes
struct sigaction | sa_
| Controls signal behavior.

## Detailed Description

C++ wrapper facade for the <sigaction> struct.

## Constructor & Destructor Documentation

ACE_Sig_Action::ACE_Sig_Action ( | void )

| Default constructor. Initializes everything to 0.

ACE_Sig_Action::ACE_Sig_Action ( | ACE_SignalHandler handler,
| sigset_t * sigmask = 0,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action ( | ACE_SignalHandler handler,
| const ACE_Sig_Set & sigmask,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct but doesn't register for signal handling via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action ( | ACE_SignalHandler handler,
| int signum,
| sigset_t * sigmask = 0,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process signal <signum> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action ( | ACE_SignalHandler handler,
| int signum,
| const ACE_Sig_Set & sigmask,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process signal <signum> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action ( | const ACE_Sig_Set & signalss,
| ACE_SignalHandler handler,
| const ACE_Sig_Set & sigmask,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process all <signals> via the <sigaction> function.

ACE_Sig_Action::ACE_Sig_Action ( | const ACE_Sig_Set & signalss,
| ACE_SignalHandler handler,
| sigset_t * sigmask = 0,
| int flags = 0 )

| Assigns the various fields of a <sigaction> struct and registers the <handler> to process all <signals> via the <sigaction> function.

ACE_INLINE ACE_Sig_Action::ACE_Sig_Action ( | const ACE_Sig_Action & s )

| Copy constructor.

ACE_INLINE ACE_Sig_Action::~ACE_Sig_Action ( | void )

| Default dtor.

## Member Function Documentation

void ACE_Sig_Action::dump ( | void ) const

| Dump the state of an object.

ACE_INLINE int ACE_Sig_Action::flags ( | void )

ACE_INLINE void ACE_Sig_Action::flags ( | int flags )

ACE_INLINE struct sigaction * ACE_Sig_Action::get ( | void )

ACE_INLINE ACE_SignalHandler ACE_Sig_Action::handler ( | void )

ACE_INLINE void ACE_Sig_Action::handler ( | ACE_SignalHandler handler )

ACE_INLINE sigset_t * ACE_Sig_Action::mask ( | void )

ACE_INLINE void ACE_Sig_Action::mask ( | ACE_Sig_Set & ss )

ACE_INLINE void ACE_Sig_Action::mask ( | sigset_t * ss )

ACE_INLINE ACE_Sig_Action::operator ACE_SIGACTION * ( | )

ACE_INLINE int ACE_Sig_Action::register_action ( | int signum,
| ACE_Sig_Action * oaction = 0 )

| Register <this> as the current disposition and store old disposition into <oaction> if it is non-NULL.

ACE_INLINE int ACE_Sig_Action::restore_action ( | int signum,
| ACE_Sig_Action & oaction )

| Assign the value of <oaction> to <this> and make it become the new signal disposition.

ACE_INLINE int ACE_Sig_Action::retrieve_action ( | int signum )

| Retrieve the current disposition into <this>.

ACE_INLINE void ACE_Sig_Action::set ( | struct sigaction * sa )

## Member Data Documentation

ACE_Sig_Action::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks.

struct sigaction ACE_Sig_Action::sa_`[private]`

| Controls signal behavior.

The documentation for this class was generated from the following files:

- Signal.h
- Signal.cpp
- Signal.i